Delete a product custom field
Required scope: write_products (for API-key authentication).
DELETE
Spree Admin SDK
Authorizations
Secret API key for admin access
JWT token for admin user authentication
Response
204
custom field deleted
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Required scope: write_products (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.products.customFields.delete('prod_UkLWZg9DAJ', 'cf_AbC123XyZ')spree api delete /products/{product_id}/custom_fields/{id}Secret API key for admin access
JWT token for admin user authentication
custom field deleted
Was this page helpful?
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
await client.products.customFields.delete('prod_UkLWZg9DAJ', 'cf_AbC123XyZ')spree api delete /products/{product_id}/custom_fields/{id}